<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
if (!isset($_SESSION['MM_Username'])) {
    header ("Location: modulos/inicio/index.php");
}
    // Captura los datos que vienen de inscripciones.php
    $id_alumno=$_GET["id_alumno"];
    $id_carrera=$_GET["id_carrera"];
    $id_periodo=$_GET["id_periodo"];
    $id_sede=$_GET['id_sede'];	
    $id_materia=$_GET['id_materia'];
	$uc=$_GET['uc'];
	$uci=$_GET['uci'];	
	$seccion = $_GET['seccion'];
	$maximo= $_GET['maximo'];
	
    mysql_select_db($database_cn, $cn);
    $sql = "SELECT * FROM inscripciones_tmp where id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and inscrita='S'";
    $rs = mysql_query($sql, $cn) or die(mysql_error());
    $rows = mysql_num_rows($rs);
    if($rows>0 && $seccion!="0"){
       $uci=$uci-$uc;
    }
		  
   mysql_select_db($database_cn, $cn);
$sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia'";
$rs = mysql_query($sql, $cn) or die(mysql_error());

if($seccion!="0"){
   // Inscribe la materia.
   mysql_select_db($database_cn, $cn);
   $sql = "Update inscripciones_tmp set inscrita='S' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
   if(($uci+$uc)<=$maximo)
   {
      $creditos_inscritos=$uci+$uc;
	  if($creditos_inscritos==$maximo){
	     ?>
	  <script type="text/javascript">	   
	    msj="Ya completó el máximo de créditos a inscribir";
	 	alert(msj);
	  </script>
	<?php
	  }
	}
	else{
	  mysql_select_db($database_cn, $cn);
   $sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
	  $creditos_inscritos=$uci;
	  ?>
	  <script type="text/javascript">	   
	    msj="Inscripción de Unidad Curricular Denegada.\nExcede el Máximo de Créditos a Inscribir";
	 	alert(msj);
		window.parent.document.form1.seccion<?php echo $nro; ?>.value=0;
		window.parent.document.form1.seccion<?php echo $nro; ?>.focus();
	  </script>
	<?php
	}
}
else{
   // Materia no isncrita.
   $creditos_inscritos=$uci-$uc;
}

// Retorna al formulario los créditos inscritos.
?>
<script type="text/javascript">	   
window.parent.document.form1.creditos_inscritos.value=<?php echo $creditos_inscritos; ?>;

</script>
